Subject: Re: Transferring software to the TI

From: "gregallenwarner" <[email-masked]>
Date: Fri, 01 Feb 2013 02:39:19 -0000

Greg, thanks for the reply. All that is very informative and helps me out a lot. I'll email you off list for your address.

-Greg

--- In [email-masked], Gregory McGill  wrote:
>
> Hey Greg,  It's Greg here..
> 
> Basically the easiest way is with HDX on the PC side and the CFHDXS1
> program on the TI side..and a straight through serial cable. This basically
> gives you a file server on the PC that you access with a disk manager on
> the TI. Coupled with TIDIR from the same author you have a powerhouse of
> converting files and transferring them.
> http://members.ziggo.nl/fredgkaal/Software/sw_ti99hdx.html
> 
> The 2nd easiest is a program called MAGICFM which is run on the TI side,
> and a terminal emulator on the PC side that does Xmodem.  and a straight
> through serial cable. This basically emulates a file manager in serial
> terminal and allows you to copy files from the PC to the TI with xmodem
> transfers..  Matt sells the TI disk with MagicFM in his store
> http://codehackcreate.com/store#!/~/product/category=0&id=6931288
> 
> and here's a video on it: http://www.youtube.com/watch?v=FeJ6ZjHc8_g part
> 1,   http://www.youtube.com/watch?v=cFcCNeFLhQo part 2
> 
> Te2 won't do xmodem transfers (I'm reasonably sure) so you'll want
> something a little better on the TI side if your going terminal to
> terminal.
> 
> I can send you a disk if you want with the tools on it for your TI, just
> need you to mail me a disk formatted on your TI to use, as then I am
> ensured you can read the format on your side, with the variety of disk
> drives and controllers out there this is the best method. Email me off list
> if you would like to do this and I'll send you my address.
> 
> Also you can use a standard 3.5" 1.44 floppy in your 99/4a it will be dsk2
> by default and you should be able to just plug it in and have it work.
>  With a 4/a the best you'll get is DSDD on that disk, so put a peice of
> black tape over the hd hole in the 1.44 floppies and your golden.  You
> should format the disks on the 4/a and then try and read/write on the pc to
> that..   I have had mixed luck with this depending on the pc and the
> controller.
> 
> If you have any questions let us know :)
> 
> Greg
> 
> On Thu, Jan 31, 2013 at 12:44 PM, gregallenwarner
  > wrote:
> 
> > **
> >
> >
> > Hi, all, new member here. Saw that there's another member here with the
> > name "Greg". Hope this doesn't confuse things.
> >
> > I've recently gotten back into TI hacking after quite a while, and I'm
> > extremely green on most everything about the system, and was hoping I could
> > learn from you all.
> >
> > I'm trying to transfer software from my PC to the TI over a serial
> > connection because I don't have a 5 1/4" floppy drive in my PC, and I don't
> > have a modded disk controller card, so I can't put a 3 1/2" drive into my
> > PEB. So serial is the only way I know how to do it.
> >
> > Trouble is, I've researched quite a bit online, and I just can't seem to
> > find a real specific set of directions that I can follow. One resource said
> > I needed HyperTerminal on the PC and Terminal Emulator II on the TI, but I
> > can't figure out where to go from there. Also, I don't have Magic File
> > Manipulator, but even if I did, I wouldn't know how to use it.
> >
> > Things I need to learn are: what programs are used on the PC and the TI to
> > conduct the transfer, and how do I put the TIFILES header on the file if
> > need be.
> >
> > Sorry for this being such a basic question, but like I said, I'm extremely
> > green, and I never had a chance to buckle down and learn this stuff until
> > now.
> >
> > Hope to be able to make it to a TI Faire some day!
> >
> > -Greg Allen Warner
> >
> >  
> >
>